curl --request PATCH \
--url https://api.zeroruntime.ai/v2/sip/phone-numbers/gateways/{gatewayId} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Support SIP (EU)",
"mediaEncryption": "enable",
"sipRegion": "in002",
"address": "sip-eu.my-carrier.com",
"transport": "tls",
"auth": {
"username": "sip-user",
"password": "rotated-s3cr3t"
}
}
'{
"message": "Gateway updated successfully",
"gateway": {
"id": "<string>",
"address": "<string>",
"numbers": [
"<string>"
],
"mediaEncryption": "disable",
"transport": "tls",
"geoRegion": "us002",
"auth": {
"username": "<string>",
"password": "<string>"
}
}
}{
"message": "<string>"
}Phone numbers
Update a gateway
Updates a gateway. Send only the fields you want to change.
PATCH
/
v2
/
sip
/
phone-numbers
/
gateways
/
{gatewayId}
curl --request PATCH \
--url https://api.zeroruntime.ai/v2/sip/phone-numbers/gateways/{gatewayId} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Support SIP (EU)",
"mediaEncryption": "enable",
"sipRegion": "in002",
"address": "sip-eu.my-carrier.com",
"transport": "tls",
"auth": {
"username": "sip-user",
"password": "rotated-s3cr3t"
}
}
'{
"message": "Gateway updated successfully",
"gateway": {
"id": "<string>",
"address": "<string>",
"numbers": [
"<string>"
],
"mediaEncryption": "disable",
"transport": "tls",
"geoRegion": "us002",
"auth": {
"username": "<string>",
"password": "<string>"
}
}
}{
"message": "<string>"
}Authorizations
Your API token, sent raw (no Bearer prefix).
Path Parameters
Body
application/json
Available options:
enable, disable auto stores no region and lets us pick.
Available options:
auto, us002, in002 Outbound gateways only.
Outbound gateways only.
Available options:
udp, tcp, tls Outbound gateways only. Send both username and password.
Show child attributes
Show child attributes